Subject: bug#14494: ./test-driver missing in t/distcheck-pr10470.sh

From: Stefano Lattarini <[email-masked]>
Date: Wed, 29 May 2013 16:23:37 +0200

On 05/29/2013 03:33 PM, Peter Rosin wrote:
> On 2013-05-29 10:50, Stefano Lattarini wrote:
>> On 05/29/2013 01:46 AM, Peter Rosin wrote:
>>> Hi!
>>>
>> Hi Peter, thanks for the report (and the plethora of the following
>> ones :-)
>>
>>> On MSYS, t/distcheck-pr10470.sh from the master branch fails with this
>>> log file:
>>>
>> Ah, this test is always skipped on POSIX systems, so I never got to update
>> it when the default was switched from serial-tests to parallel-tests.  It
>> has probably bit-rotten a little.
> 
> *snip*
> 
>> The same failure should be present also in the 'micro' branch (as I see you
>> have already confirmed).  And it should be easily fixable by adding the
>> "--add-missing" option to the Automake invocation.  Can you confirm?  If
>> yes, feel free to push the obvious patch to fix the issue (a reference to
>> the bug number in the commit message would be nice, as usual).
> 
> When I do that, I get further, but the test is still b0rked...
> 
Oh damn, that's due to a botched edit on my part during the $MAKE -> run_make
conversion.  Just drop the "-e FAIL" part from the 'run_make' command line
and everything should be fine.

Thanks, and sorry for the breakage,
  Stefano